Bug 1265720 - (RFE) pulseaudio: enable systemd socket activation
(RFE) pulseaudio: enable systemd socket activation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 10:19 EDT by Rex Dieter
Modified: 2016-05-06 10:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-06 10:47:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2015-09-23 10:19:08 EDT
pulseaudio is currently built with option:
  --disable-systemd-daemon
                          Disable optional systemd daemon (socket activation)
                          support

I've not had the time to investigate/test enabling this feature yet, but opening this bug to track such efforts.
Comment 1 Rex Dieter 2016-05-06 10:47:01 EDT
%changelog
* Fri May 06 2016 Rex Dieter <rdieter@fedoraproject.org> - 8.0-7
- use %%tests macro, enable systemd socket activation (#1265720)


Tested mostly harmless, I don't think it's used by default, and doesn't seem to interfere with pulseaudio's own autospawn behavior

Note You need to log in before you can comment on or make changes to this bug.